Uploaded image for project: 'Cassandra'
  1. Cassandra
  2. CASSANDRA-14883

Let Cassandra support the new JVM, Eclipse Openj9.

    XMLWordPrintableJSON

    Details

    • Type: Improvement
    • Status: Open
    • Priority: Normal
    • Resolution: Unresolved
    • Fix Version/s: 4.x
    • Component/s: Packaging
    • Labels:
      None
    • Environment:

      jdk8u192-b12_openj9-0.11.0

      cassandra 4.0.0_beta_20181109_build

      Description

      Cassandra does not currently support the new JVM, Eclipse Openj9. In internal testing, Openj9 outperforms Hotspot. I have deployed a modified jamm library that has a problem with the current startup, but when I started Cassandra, I got a log message saying "Non-Oracle JVM detected." Some features, such as unimported compact SSTables, may not work as intended "If there is no problem, I would also like to delete the above message.

        Attachments

        1. jamm.zip
          42 kB
          Lee Sangboo
        2. jamm-0.3.2.jar
          26 kB
          Lee Sangboo

          Issue Links

            Activity

              People

              • Assignee:
                Unassigned
                Reporter:
                leesangboo Lee Sangboo
              • Votes:
                3 Vote for this issue
                Watchers:
                5 Start watching this issue

                Dates

                • Created:
                  Updated: